Marauders

Pledge: “We’ve not given or received unauthorized
assistance on this task”

Members:
sgtote - 160050009 : contributed in script 3,5
maitrey - 160050049 : contributed in script 2,5
bhaveshd - 160050108 : contributed in script 1,3,4

Citations:
1) For most of tutorials: http://ryanstutorials.net/bash-scripting-tutorial/

2) For reading file word by word: https://stackoverflow.com/questions/10929453/read-a-file-line-by-line-assigning-the-value-to-a-variable

3) For grep: https://www.tutorialspoint.com/unix_commands/grep.htm

4) For sed: stackoverflow